> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# FIUレポート一覧取得API

> Didit Management APIで、アプリケーション全体の規制当局向けレポートを一覧取得します。ステータス、レポート種別、ケースでフィルターできます。



レポート一覧取得APIプロンプト
        プロンプトをクリップボードにコピー



      
      

\<pre>

\`List FIU reports across the application through the Management API.

Endpoint:
GET https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/

Authentication:
Use the x-api-key header with my Didit API key.

Query params:
\- limit (default 50), offset (default 0)
\- status=DRAFT|VALIDATED|FINALIZED
\- report_type=SAR|STR|CTR|TTR|UTR|IFT|CBR|TFR
\- case=<case-uuid>

Example call:
curl -X GET "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/?status=DRAFT" \
-H "x-api-key: YOUR_API_KEY"

Response 200: {"count", "next", "previous", "results": [RegulatoryReportDetail, ...]}

Failure modes:
\- 401/403 - auth/permission errors (requires read:cases).

Side effects: none, pure read.

For the full integration shape, see /integration/integration-prompt.`

\</pre>



      
      

貼り付け先

アプリケーション全体のレポートを一覧で取得します。ConsoleのスタンドアロンのReportsページと同じデータです。このエンドポイントは、検証と確定を待機しているDRAFTレポートのキューをポーリングするために使用します。## 関連- [スタンドアロンレポートを作成](https://docs.didit.me/ja/management-api/regulatory-reports/create-for-case.md)
- [レポートを検証する](https://docs.didit.me/ja/management-api/regulatory-reports/validate.md)
- [レポートを確定](https://docs.didit.me/ja/management-api/regulatory-reports/finalize.md)
- [レポートをダウンロード](https://docs.didit.me/ja/management-api/regulatory-reports/download-url.md)
- [レポートを削除](https://docs.didit.me/ja/management-api/regulatory-reports/delete.md)


## OpenAPI

````yaml ja/openapi-25.json GET /v3/organization/{organization_id}/application/{application_id}/regulatory-reports/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 本人確認API。x-api-keyヘッダーで認証します。
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/organization/{organization_id}/application/{application_id}/regulatory-reports/:
    get:
      tags:
        - Regulatory Reports
      summary: レポートを一覧表示
      description: アプリケーション全体のFIUレポート一覧。status、report_type、またはケースで任意に絞り込めます。
      operationId: list_regulatory_reports
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: 組織のUUIDです。
        - name: application_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: アプリケーションのUUID。
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
          description: ページサイズ。
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
            minimum: 0
          description: 0始まりのオフセットです。
        - name: status
          in: query
          schema:
            type: string
            enum:
              - DRAFT
              - VALIDATED
              - FINALIZED
          description: ステータスで絞り込みます。
        - name: report_type
          in: query
          schema:
            type: string
            enum:
              - SAR
              - STR
              - CTR
              - TTR
              - UTR
              - IFT
              - CBR
              - TFR
          description: レポートタイプで絞り込みます。
        - name: case
          in: query
          schema:
            type: string
            format: uuid
          description: このケースのレポートに絞り込みます。
      responses:
        '200':
          description: アプリケーション全体のページネーションされたレポート。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegulatoryReportList'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: curl
          label: curl
          source: >-
            curl -X GET
            'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/'
            \
              -H 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            client = Didit()

            for item in client.regulatory_reports.list():
                print(item)
        - lang: javascript
          label: Node.js
          source: |-
            import Didit from "@didit-protocol/sdk-node";

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            const didit = new Didit();

            for await (const item of didit.regulatoryReports.list()) {
              console.log(item);
            }
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID\n// and DIDIT_APPLICATION_ID.\nclient := didit.NewClient()\n\niter := client.RegulatoryReports.ListAutoPaging(ctx, didit.RegulatoryReportsListParams{})\nfor iter.Next() {\n\tfmt.Printf(\"%+v\\n\", iter.Current())\n}\nif err := iter.Err(); err != nil {\n\tlog.Fatal(err)\n}"
        - lang: java
          label: Java
          source: |-
            import me.didit.Didit;

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            Didit client = new Didit();

            for (var item : client.regulatoryReports().list()) {
                System.out.println(item);
            }
        - lang: php
          label: PHP
          source: |-
            <?php

            require 'vendor/autoload.php';

            use Didit\DiditClient;

            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            // and DIDIT_APPLICATION_ID.
            $didit = new DiditClient();

            foreach ($didit->regulatoryReports->list() as $item) {
                print_r($item->toArray());
            }
        - lang: ruby
          label: Ruby
          source: |-
            require "didit"

            # Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID
            # and DIDIT_APPLICATION_ID.
            didit = Didit::Client.new

            didit.regulatory_reports.list.auto_paging_each do |item|
              puts item.to_h
            end
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY, DIDIT_ORGANIZATION_ID

            // and DIDIT_APPLICATION_ID.

            using var client = new DiditClient();


            await foreach (var item in await
            client.RegulatoryReports.ListAsync())

            {
                Console.WriteLine(JsonSerializer.Serialize(item));
            }
components:
  schemas:
    RegulatoryReportList:
      type: object
      properties:
        count:
          type: integer
          description: 一致する行の数（パフォーマンスのため上限は100）。
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/RegulatoryReportDetail'
    RegulatoryReportDetail:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        case_uuid:
          type: string
          format: uuid
        case_number:
          type: string
          nullable: true
        report_type:
          type: string
          enum:
            - SAR
            - STR
            - CTR
            - TTR
            - UTR
            - IFT
            - CBR
            - TFR
        report_type_display:
          type: string
        report_code:
          type: string
          description: report_typeから導出されるgoAMLのレポートコード。例：STR、CTR、BCR。
        report_number:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - DRAFT
            - VALIDATED
            - FINALIZED
        status_display:
          type: string
        jurisdiction:
          type: string
          minLength: 2
          maxLength: 2
        rentity_id:
          type: string
          nullable: true
          description: FIUが発行した報告主体ID。
        rentity_branch:
          type: string
          nullable: true
        submission_code:
          type: string
          enum:
            - E
            - M
        entity_reference:
          type: string
          nullable: true
        fiu_ref_number:
          type: string
          nullable: true
        currency_code_local:
          type: string
          minLength: 3
          maxLength: 3
          nullable: true
        submission_date:
          type: string
          format: date-time
          nullable: true
        reporting_person:
          type: object
        location:
          type: object
        reason:
          type: string
          nullable: true
        action:
          type: string
          nullable: true
        activity:
          type: string
          nullable: true
        narrative:
          type: object
          description: 5W（Five Ws）形式のナラティブセクション。
          properties:
            who:
              type: string
            what:
              type: string
            when:
              type: string
            where:
              type: string
            why:
              type: string
            how:
              type: string
        report_indicators:
          type: array
          items:
            type: string
        included_fields:
          type: array
          items:
            type: string
        transactions:
          type: array
          items:
            type: string
            format: uuid
        validation_errors:
          type: array
          description: 直近の検証の結果。各エントリは{field, message}オブジェクトです。
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
        validated_at:
          type: string
          format: date-time
          nullable: true
        finalized_at:
          type: string
          format: date-time
          nullable: true
        created_by_email:
          type: string
          nullable: true
        created_by_name:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        お客様のアプリケーションのAPIキーです。Business ConsoleのDevelopers -> API
        keysで取得できます。プライマリキーはフルアクセス権を持ちます。名前付きキーにはスコープを設定できます。リソースごとのアクセス権（なし、読み取り、書き込み）、一部のワークフローまたは承認済みセッションへの限定、IPアドレスのリストへの限定、有効期限の設定です。401は、キーが誤っている、失効している、または期限切れであることを意味します。403は、キーが送信されていない、キーにこのリソースやアクションへのアクセス権がない、またはIPリスト外のアドレスからリクエストが送信されたことを意味します。セッションのルートでの404は、セッションがキーのワークフローまたはステータスの対象外であることを意味します。メディアへのアクセス権がないキーでは、画像、動画、PDFのURLがnullで返されます。セッションの書き込み権限がないキーでは、セッションのリンクとトークンがnullで返されます。詳細は次を参照してください:
        https://docs.didit.me/console/api-keys

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.